Bug 16054 - RFE:Proposed Enhancement for Anaconda Installer and rpm.
RFE:Proposed Enhancement for Anaconda Installer and rpm.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
8.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-11 23:30 EDT by Chris Kloiber
Modified: 2014-03-16 22:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 15:38:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Kloiber 2000-08-11 23:30:55 EDT
Subject:               Re: The sendmail daemon-mode no-README issue will be
fixed
    Date:               Fri, 11 Aug 2000 08:10:52 -0400
   From:               "Glen A. Foster" <glen@redhat.com>
Reply-To:            pinstripe-list@redhat.com
Organization:        Red Hat, Inc.
       To:               pinstripe-list@redhat.com
 
I'd say this is an good suggestion and as such, it should go into
the bugzilla database.   Even if we don't do it for this release,
it would be something to consider for future releases, too.  Please
submit a defect report with a priority of "enhancement" and we'll
see where it goes from there... thanks for the idea!

Glen

Chris Kloiber wrote:
> 
> Question/Suggestion-
> 
> As it stands, the install/upgrade keeps a log of all that occurs during
> an install. Would it be easy to add such important information as the
> sendmail change to the rpm itself that will automatically add such
> information to the log, and a copy of the log could also find itself in
> root's mailbox on the first boot with a dire warning to READ ME NOW OR
> PERISH! warning on it? Perhaps even display the log at the end of the
> install prior to allowing you to exit (obviously not for kickstart
> installs, but if you kickstart I grant you have a brain)
> If the rpm gets installed at a later date, the same info can be
> displayed in the working terminal or (in a gui tool) a popup window. I
> don't think this would be too hard to implement in rpm, just another
> part of the hearer, call it %security_info and make the new rpm display
> it on any install, upgrade, or freshen. Other packages could benefit
> from this as well, like MySQL (a reminder/howto set MySQL's root
> password) or pirrana (change the default password now!) for example. The
> install log could become a checklist for new users and old to determine
> all the litle configuration steps that are necessary to setup and secure
> the installed services.
--
Comment 1 Michael Fulbright 2000-08-15 12:33:26 EDT
Passed to list of proprosed feature enhancements.
Comment 2 Michael Fulbright 2000-09-14 16:08:37 EDT
Related to bug number 15268.
Comment 3 Michael Fulbright 2000-09-26 16:52:49 EDT
Related to bug 15268.
Comment 4 Michael Fulbright 2001-09-17 14:19:16 EDT
Moving to distribution component.
Comment 5 Bill Nottingham 2005-03-01 15:38:30 EST
Closing bugs on older, no longer supported releases. Apologies for any lack of
response.

I believe these sorts of things will stay in the release notes as the normal
notfiication mechanism.

Note You need to log in before you can comment on or make changes to this bug.